<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <p>{{ msg }}</p>
        <p>{{ msg.split('').reverse().join('') }}</p>
        <p>{{ reversedMessage }}</p>
        <p>{{ now }} </p>
    </div>

    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
   <script>
       // inspiré du dp MVVM
        const vm = new Vue({
            el: '#app',
            data: {
                msg : 'msg reactif'
            } ,
            computed: {
                reversedMessage() {
                    return this.msg.split('').reverse().join('')
                }
            } 

        });
   </script>
</body>
</html>